package com.example.pmulabs.designElem

import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.background
import androidx.compose.foundation.border
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.offset
import androidx.compose.foundation.layout.requiredHeight
import androidx.compose.foundation.layout.requiredWidth
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.HorizontalDivider
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.pmulabs.models.Comment
import com.example.pmulabs.repository.UserRepository

@Composable
fun CommentItem(modifier: Modifier = Modifier,comm : Comment) {

    val userRep= UserRepository()
    val user=userRep.getUserById(comm.userId.toString())

    Box(
        modifier = modifier
            .requiredWidth(width = 376.dp)
            .requiredHeight(height = 105.dp)
            .offset(
                y=10.dp
            )
    ) {
        Box(
            modifier = Modifier
                .requiredWidth(width = 376.dp)
                .requiredHeight(height = 87.dp)
                .clip(shape = RoundedCornerShape(10.dp))
                .background(color = Color.White)
                .border(border = BorderStroke(3.dp, Color(0xff423a99)),
                    shape = RoundedCornerShape(10.dp)))
        HorizontalDivider(
            thickness=3.dp,
            modifier = Modifier
                .align(alignment = Alignment.TopStart)
                .offset(x = 1.dp,
                    y = 31.dp)
                .requiredWidth(width = 374.dp), color = Color(0xff423a99)
        )
        Text(
            text = "${user.nickname}",
            color = Color(0xff423a99),
            style = TextStyle(
                fontSize = 15.sp,
                fontWeight = FontWeight.Bold),
            modifier = Modifier
                .align(alignment = Alignment.TopStart)
                .offset(x = 13.dp,
                    y = 7.dp))
        Text(
            text = "${comm.text}",
            color = Color(0xff423a99),
            style = TextStyle(
                fontSize = 15.sp,
                fontWeight = FontWeight.Bold),
            modifier = Modifier
                .align(alignment = Alignment.TopStart)
                .offset(x = 13.dp,
                    y = 36.dp))
    }
}
