package com.example.pmulabs.designElem

import androidx.compose.foundation.background
import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.offset
import androidx.compose.foundation.layout.requiredHeight
import androidx.compose.foundation.layout.requiredWidth
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Icon
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.pmulabs.R
import com.example.pmulabs.models.Teg

@Composable
fun TagItem(teg: Teg, modifier: Modifier = Modifier,onTagClick: () -> Unit) {
    Box(
        modifier = modifier
            .requiredWidth(width = 365.dp)
            .requiredHeight(height = 58.dp)
    ) {
        Box(
            modifier = Modifier
                .requiredWidth(width = 365.dp)
                .requiredHeight(height = 58.dp)
                .clip(shape = RoundedCornerShape(15.dp))
                .background(color = Color(0xFFDBDBF1))
                .clickable { onTagClick() }
        )
        Icon(
            painter = painterResource(id = R.drawable.iconhashtag1),
            tint= Color(0xff423a99),
            contentDescription = "icon \"hashtag 1\"",
            modifier = Modifier
                .align(alignment = Alignment.TopStart)
                .offset(x = 20.dp,
                    y = 14.dp)
                .requiredWidth(width = 31.dp)
                .requiredHeight(height = 29.dp))
        Text(
            text = "${teg.title}",
            color = Color(0xff423a99),
            textAlign = TextAlign.Center,
            style = TextStyle(
                fontSize = 24.sp,
                fontWeight = FontWeight.Bold),
            modifier = Modifier
                .align(alignment = Alignment.TopStart)
                .offset(x = 64.dp,
                    y = 14.dp))
    }
}