package com.example.pmulabs.graphs

import androidx.compose.ui.Modifier
import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavHostController
import androidx.navigation.compose.composable
import androidx.navigation.navigation
import com.example.pmulabs.designElem.SharedViewModel
import com.example.pmulabs.screensMobile.EntryScreen
import com.example.pmulabs.screensMobile.RegisterScreen
import com.example.pmulabs.screensMobile.SplashScreen

fun NavGraphBuilder.authNavGraph(navController: NavHostController,sharedViewModel: SharedViewModel){
    navigation(
        route=Graph.AUTHENTICATION,
        startDestination = AuthScreen.Splash.route
    ){
        composable(route=AuthScreen.Splash.route){
            SplashScreen(navController = navController, Modifier)
        }
        composable(route=AuthScreen.Entry.route){
            EntryScreen(navController = navController, Modifier,sharedViewModel)
        }
        composable(route=AuthScreen.Register.route){
            RegisterScreen(navController = navController, Modifier)
        }
    }
}

sealed class AuthScreen(val route: String){
    object Splash : AuthScreen(route = "SPLASH")
    object Entry : AuthScreen(route = "ENTRY")
    object Register : AuthScreen(route="REGISTER")
}