package com.example.pmulabs.screensMobile

import android.util.Log
import androidx.compose.foundation.background
import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.PaddingValues
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.lazy.items
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import androidx.navigation.NavController
import com.example.pmulabs.basecomponents.navigate.BackButton
import com.example.pmulabs.basecomponents.navigate.BottomBarScreen
import com.example.pmulabs.basecomponents.navigate.SEARCH_ARGUMENT_TEXT
import com.example.pmulabs.designElem.ArticleItem
import com.example.pmulabs.repository.ArticleRepository

@Composable
fun SearchScreen(navController: NavController, modifier: Modifier = Modifier){

    val articleRepository= ArticleRepository()
    val getAllData= articleRepository.getAllData()
    var text=navController.currentBackStackEntry?.arguments?.getString(SEARCH_ARGUMENT_TEXT).toString()
    Log.d("text: ",text)

    LazyColumn(
        modifier= Modifier
            .background(Color.White)
            .fillMaxSize(),
        contentPadding = PaddingValues(top =75.dp, bottom = 10.dp, start = 10.dp,end=10.dp),
        verticalArrangement = Arrangement.spacedBy(1.dp)){
        item{
            BackButton(modifier=Modifier
                .clickable { navController.popBackStack()})
        }
        items(items = getAllData){ article ->
            if(article.title.contains(text)) {
                ArticleItem(article = article,onArticleClick = {navController.navigate(BottomBarScreen.ArticlePage.passId(article.id.toString()))})
            }
        }
    }
}