package com.example.pmulabs.screensMobile

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.PaddingValues
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.lazy.items
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import androidx.navigation.NavController
import com.example.pmulabs.basecomponents.navigate.BottomBarScreen
import com.example.pmulabs.designElem.TagItem
import com.example.pmulabs.repository.TegRepository

@Composable
fun TagsScreen(navController: NavController, modifier: Modifier = Modifier){

    val tegRepository= TegRepository()
    val getAllData= tegRepository.getAllData()

    LazyColumn(
        modifier= Modifier
            .background(Color.White)
            .fillMaxSize(),
        contentPadding = PaddingValues(top =75.dp, bottom = 10.dp, start = 25.dp,end=25.dp),
        verticalArrangement = Arrangement.spacedBy(15.dp)){
        items(items = getAllData){ tag ->
            TagItem(
                teg = tag,
                onTagClick = {navController.navigate(BottomBarScreen.SearchByTag.passId(tag.id.toString()))}
                )
        }
    }
}